@font-face {
  font-family: "DistressBlack";
  src: url("../assets/fonts/dcc_sharp_distress_black_by_dccanim.otf");
}

.sans-font {
  font-family: "DistressBlack", sans-serif; 
}

/* Change shadow colors and Foundry general font color!! */
.app {
  box-shadow: 0 0 20px #7e4444; /* Change the color code here for a nice shadow color! */
  color: #dfdfdf; /* Text color for window titles and menu all across Foundry */
}

/* Character and Item Name Titles Text style! */
.sheet .charname input {
    color: #191813;
    font-family: "DistressBlack", sans-serif;
    font-size: 30px;
    font-style: normal;
}

/* custom styles */
body.system-vermine2047 img#logo {
  content: url("/systems/vermine2047/assets/images/ui/logo_vermine_foundry.webp");
  height:auto;
}

/* Customize the chat roll area! */
#chat-form textarea {
  background: url(/systems/vermine2047/assets/images/ui/box_background.webp) repeat; 
  /*font-family: monospace; 
  font-size: 14px; 
  color: black; */
}

/* Customize the chat history area! */
#chat-log .message {
  background: url(/systems/vermine2047/assets/images/ui/box_background.webp) repeat; 
  /*color: #191813; */
}

img {
  border:none;
}

ul.unstyled {
  list-style-type: none;
  padding:0;
  margin:0;
}
ul.unstyled li {
  padding:0;
  margin:0;
}

.padding-with-frieze {
  margin-left:18% !important;
  margin-right:10% !important;
}

.padding-with-frieze li {
  max-width:100%;
}

.w-full {
  width:100%;
}

.mx-auto {
  margin-left: auto;
  margin-right:auto;
}

/* ----------------------------------------- */
/* Sheet Structure                           */
/* ----------------------------------------- */
.system-vermine2047 .sheet .window-content {
  background: url(/systems/vermine2047/assets/images/ui/box_background.webp);
  padding: 0;
  overflow-y: hidden;
}

.system-vermine2047 .dialog .window-content {
  background: url(/systems/vermine2047/assets/images/ui/fond_chat_box.webp);
  padding: 0.5rem;
  overflow-y: hidden;
}

.window-content .row.smb {
  margin-bottom:0.25rem;
}
.window-content .row.mdb {
  margin-bottom:0.5rem;
}
.window-content .row.lgb {
  margin-bottom:1rem;
}

.actor.sheet form .form {
  display: grid;
  /*grid:
      "sidebar header" 75px
      "sidebar nav" minmax(min-content, max-content)
      "sidebar content" 1fr/230px 1fr;*/
  grid-template-columns: minmax(230px,1fr) 3fr;    
  grid-template-rows: 1fr;
  align-items: flex-start;
  height: 100%;
}

.actor.sheet .form aside {
  grid-row: span 1 / span 1;
  background-image: url(/systems/vermine2047/assets/images/ui/barre_laterale.webp);
  background-repeat: no-repeat;
  background-position: bottom center;
  height: 100%;
}

.actor.sheet .form main {
  grid-row: span 1 / span 1;
}

.actor.sheet .form aside .image-wrapper {
  margin: 1rem auto 3rem;
  text-align: center;
}
.actor.sheet .form aside .image-wrapper img {
  width:170px;
  height:145px;
}
.actor.sheet .form aside .paper {
  margin-top: 1rem;
  height: 350px;
}
.actor.sheet .form aside .second-paper {
  margin-top: 4rem;
  height: 150px;
}

.actor.sheet .form h3 {
  font-family: "DistressBlack", sans-serif; 
  text-align: center;
  text-transform: uppercase;
  color:#bec2bd;
  font-size: 1.25em;
  border-bottom: none;
}
.actor.sheet .form h4,
.item.sheet .form h4 {
  font-family: "DistressBlack", sans-serif; 
  font-size: 2em;
  text-transform: uppercase;
  
}

.actor.sheet .form .characteristics h4 {
  font-size:1.25rem;
}

.actor.sheet .form .tab.totem h4,
.actor.sheet .form .tab.equipment h4,
.actor.sheet .form .tab.stories h4 {
  margin-top:0.875rem;
}

.system-vermine2047 .char-header {
  font-family: "DistressBlack", sans-serif; 
}
.system-vermine2047 .char-header section {
  display:flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;

}

.system-vermine2047 .char-header h1.char-name,
.system-vermine2047 .char-vermine2047 {
  border-bottom: none;
  line-height: 2rem;
}

.system-vermine2047 .char-vermine2047 {
  font-size:1.5rem;
}

.system-vermine2047 .sheet.actor .sheet-body {
  height: calc(100% - 35px);
  overflow-y: auto;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  max-height: 688px;
  padding-bottom:1rem;
}
.system-vermine2047 .sheet.actor form {
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.system-vermine2047 .sheet.actor form input[type=text], .system-vermine2047 .sheet.actor form input[type=number] {
  width: calc(100% - 2px);
  height: calc(100% - 2px);
  background: none;
  padding: 0;
  margin: 1px 0;
  color: #333;
  border: 1px solid transparent;
}
.system-vermine2047 .sheet.actor form input[type=text]:hover:not(:disabled), .system-vermine2047 .sheet.actor form input[type=text]:focus, .system-vermine2047 .sheet.actor form input[type=number]:hover:not(:disabled), .system-vermine2047 .sheet.actor form input[type=number]:focus {
  border: 1px solid black;
  box-shadow: 0 0 10px #00005a;
}
.system-vermine2047 .sheet.actor form select {
  font-size: var(--font-size-10);
  height: 18px;
  background: rgba(255, 255, 255, 0.5);
}
.system-vermine2047 .sheet.actor form label {
  display: block;
}
.system-vermine2047 .sheet.actor form .mce-panel span {
  display: inherit;
}
.system-vermine2047 .sheet.actor form.editable .rollable:hover {
  color: #000;
  text-shadow: 0 0 10px #00005a;
  cursor: pointer;
}
.system-vermine2047 .sheet.actor form .sheet-tabs {
  font-weight: 500;
  height: 30px;
}
.system-vermine2047 .sheet.actor form .sheet-tabs > .list-row {
  line-height: 24px;
  padding-top: 3px;
  font-size: var(--font-size-12);
  text-align: center;
}
.system-vermine2047 .sheet.actor form .sheet-tabs > .list-row:last-of-type {
  padding-right: 4px;
}
.system-vermine2047 .sheet.actor form .sheet-tabs > .list-row.active {
  color: #000;
  font-weight: 700;
}
.system-vermine2047 .sheet.actor form .tab {
  flex: 1;
  overflow: hidden;
}
.system-vermine2047 .sheet.actor form .tag-legacy {
  float: left;
  margin: 0 2px 2px 0;
  padding: 0 3px;
  font-size: var(--font-size-10);
  line-height: 16px;
  border: 1px solid #999;
  border-radius: 3px;
  white-space: normal;
  font-weight: 500;
}

/* ---------------------------------------- */
/* Actor Sheet                              */
/* ---------------------------------------- */
.system-vermine2047 .sheet.actor .window-resizable-handle {
  bottom:-30px;
}

.system-vermine2047 .sheet.actor,
.system-vermine2047 .sheet.actor .window-content {
  min-width: 690px;
  min-height: 800px;
}
.system-vermine2047 .sheet.actor .sidebar {
  width: 230px;
  min-height:518px;
}

.system-vermine2047 .sheet.actor .floatright {
  float: right;
}
.system-vermine2047 .sheet.actor .sheet-upper {
  height: 268px;
}
.system-vermine2047 .sheet.actor .sheet-upper .sheet-header {
  height: 48px;
}
.system-vermine2047 .sheet.actor .sheet-upper .sheet-profile, .system-vermine2047 .sheet.actor .sheet-upper .sheet-showcase {
  height: 220px;
}

.system-vermine2047 .sheet.actor .sheet-content {
  padding:4px;
}
.system-vermine2047 .sheet.actor .sheet-sidebar {
  height: calc(100% - 48px);
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  overflow-x: hidden;
  overflow-y: auto;
}
.system-vermine2047 .sheet.actor .sheet-sidebar > * {
  flex: 1;
}
.system-vermine2047 .sheet.actor .sheet-sidebar .sidebar-summary {
  overflow-y: hidden;
}
.system-vermine2047 .sheet.actor.npc-sheet .sheet-upper {
  height: 220px;
}
.system-vermine2047 .sheet.actor.npc-sheet .sheet-upper .sheet-showcase {
  height: 172px;
}
.system-vermine2047 .sheet.actor.npc-sheet .sheet-lower {
  height: calc(100% - 220px - 32px);
}
.system-vermine2047 .sheet.actor.npc-sheet section.sheet-body {
  height: calc(100% - 48px);
}
.system-vermine2047 .sheet.actor .sheet-navigation {
  border-top: 1px solid var(--secondary-background);
  border-bottom: 1px solid var(--primary-background);
}
.system-vermine2047 .sheet.actor .sheet-navigation .sheet-tabs > .list-row {
  border-radius: 5px 5px 0 0;
}
.system-vermine2047 .sheet.actor .sheet-navigation .sheet-tabs > .list-row.active {
  border: 1px solid #666;
  border-bottom: none;
  /* box-shadow: 0 0 10px inset #ff6400;
   */
  background: var(--primary-background);
  color: #fff;
  text-shadow: none;
}


.actor.sheet nav.sheet-navigation {
  display: inline-flex;
  justify-content: flex-end;
  align-items: center;
  height: 54px;
  background: var(--secondary);
  background: url(../assets/images/ui/barre_haut.webp) no-repeat right top;
  width:100%;
  position: relative;
  padding-right:4rem;
}

.actor.sheet nav.sheet-navigation .item {
  line-height: 54px;
  width: 24px;
  display: inline-block;
  border-radius: 50%;
  z-index: 1;
  transition: all 0.1s ease-out;
}

.system-vermine2047 .sheet.actor form nav.sheet-navigation.sheet-tabs {
  height:54px;
}

.system-vermine2047 .sheet.actor .ability .die {
  display:flex;
  width:0.875rem;
  height:1rem;
  background-image:url(../../../../icons/svg/d10-grey.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  font-size:xx-small;
  font-weight: bold;
  align-items: center;
  justify-content: center;
}

.system-vermine2047 .sheet.actor .ability .die.pool {
  filter: sepia(0.5) hue-rotate(60deg);
}

.system-vermine2047 .sheet.actor .ability .die.reroll {
  filter: sepia(0.5) hue-rotate(-60deg);
}
